# -*- coding: utf-8 -*-

# Form implementation generated from reading ui file 'weather.ui'
#
# Created: Thu May  5 08:13:10 2016
#      by: PyQt5 UI code generator 5.2.1
#
# WARNING! All changes made in this file will be lost!

from PyQt5 import QtCore, QtGui, QtWidgets

class Ui_weatherPane(object):
    def setupUi(self, weatherPane):
        weatherPane.setObjectName("weatherPane")
        weatherPane.resize(357, 440)
        self.verticalLayout_6 = QtWidgets.QVBoxLayout(weatherPane)
        self.verticalLayout_6.setObjectName("verticalLayout_6")
        self.scrollArea = QtWidgets.QScrollArea(weatherPane)
        self.scrollArea.setHorizontalScrollBarPolicy(QtCore.Qt.ScrollBarAlwaysOff)
        self.scrollArea.setWidgetResizable(True)
        self.scrollArea.setObjectName("scrollArea")
        self.scrollAreaWidgetContents = QtWidgets.QWidget()
        self.scrollAreaWidgetContents.setGeometry(QtCore.QRect(0, 0, 337, 420))
        self.scrollAreaWidgetContents.setObjectName("scrollAreaWidgetContents")
        self.verticalLayout_2 = QtWidgets.QVBoxLayout(self.scrollAreaWidgetContents)
        self.verticalLayout_2.setObjectName("verticalLayout_2")
        self.horizontalLayout = QtWidgets.QHBoxLayout()
        self.horizontalLayout.setObjectName("horizontalLayout")
        self.selectedStationWeather_groupBox = QtWidgets.QGroupBox(self.scrollAreaWidgetContents)
        self.selectedStationWeather_groupBox.setObjectName("selectedStationWeather_groupBox")
        self.verticalLayout = QtWidgets.QVBoxLayout(self.selectedStationWeather_groupBox)
        self.verticalLayout.setObjectName("verticalLayout")
        self.selectedStation_widget = WeatherDispWidget(self.selectedStationWeather_groupBox)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.selectedStation_widget.sizePolicy().hasHeightForWidth())
        self.selectedStation_widget.setSizePolicy(sizePolicy)
        self.selectedStation_widget.setObjectName("selectedStation_widget")
        self.verticalLayout.addWidget(self.selectedStation_widget)
        self.horizontalLayout.addWidget(self.selectedStationWeather_groupBox)
        self.verticalLayout_4 = QtWidgets.QVBoxLayout()
        self.verticalLayout_4.setObjectName("verticalLayout_4")
        self.checkNow_button = QtWidgets.QToolButton(self.scrollAreaWidgetContents)
        self.checkNow_button.setEnabled(False)
        self.checkNow_button.setObjectName("checkNow_button")
        self.verticalLayout_4.addWidget(self.checkNow_button)
        spacerItem = QtWidgets.QSpacerItem(20, 40, QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Expanding)
        self.verticalLayout_4.addItem(spacerItem)
        self.horizontalLayout.addLayout(self.verticalLayout_4)
        self.verticalLayout_2.addLayout(self.horizontalLayout)
        self.groupBox = QtWidgets.QGroupBox(self.scrollAreaWidgetContents)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Preferred, QtWidgets.QSizePolicy.Expanding)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.groupBox.sizePolicy().hasHeightForWidth())
        self.groupBox.setSizePolicy(sizePolicy)
        self.groupBox.setObjectName("groupBox")
        self.formLayout = QtWidgets.QFormLayout(self.groupBox)
        self.formLayout.setFieldGrowthPolicy(QtWidgets.QFormLayout.AllNonFixedFieldsGrow)
        self.formLayout.setObjectName("formLayout")
        self.label_5 = QtWidgets.QLabel(self.groupBox)
        self.label_5.setObjectName("label_5")
        self.formLayout.setWidget(0, QtWidgets.QFormLayout.LabelRole, self.label_5)
        self.transitionLevel_info = QtWidgets.QLabel(self.groupBox)
        self.transitionLevel_info.setObjectName("transitionLevel_info")
        self.formLayout.setWidget(0, QtWidgets.QFormLayout.FieldRole, self.transitionLevel_info)
        self.label_6 = QtWidgets.QLabel(self.groupBox)
        self.label_6.setObjectName("label_6")
        self.formLayout.setWidget(1, QtWidgets.QFormLayout.LabelRole, self.label_6)
        self.QFE_info = QtWidgets.QLabel(self.groupBox)
        self.QFE_info.setObjectName("QFE_info")
        self.formLayout.setWidget(1, QtWidgets.QFormLayout.FieldRole, self.QFE_info)
        self.label_4 = QtWidgets.QLabel(self.groupBox)
        self.label_4.setObjectName("label_4")
        self.formLayout.setWidget(2, QtWidgets.QFormLayout.LabelRole, self.label_4)
        self.rwyPref_info = QtWidgets.QLabel(self.groupBox)
        self.rwyPref_info.setObjectName("rwyPref_info")
        self.formLayout.setWidget(2, QtWidgets.QFormLayout.FieldRole, self.rwyPref_info)
        self.verticalLayout_2.addWidget(self.groupBox)
        self.line = QtWidgets.QFrame(self.scrollAreaWidgetContents)
        self.line.setFrameShape(QtWidgets.QFrame.HLine)
        self.line.setFrameShadow(QtWidgets.QFrame.Sunken)
        self.line.setObjectName("line")
        self.verticalLayout_2.addWidget(self.line)
        self.groupBox_3 = QtWidgets.QGroupBox(self.scrollAreaWidgetContents)
        self.groupBox_3.setObjectName("groupBox_3")
        self.verticalLayout_5 = QtWidgets.QVBoxLayout(self.groupBox_3)
        self.verticalLayout_5.setObjectName("verticalLayout_5")
        self.horizontalLayout_2 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_2.setObjectName("horizontalLayout_2")
        self.additionalStations_tabs = QtWidgets.QTabWidget(self.groupBox_3)
        self.additionalStations_tabs.setMovable(True)
        self.additionalStations_tabs.setObjectName("additionalStations_tabs")
        self.horizontalLayout_2.addWidget(self.additionalStations_tabs)
        self.verticalLayout_3 = QtWidgets.QVBoxLayout()
        self.verticalLayout_3.setObjectName("verticalLayout_3")
        self.addStation_button = QtWidgets.QToolButton(self.groupBox_3)
        self.addStation_button.setObjectName("addStation_button")
        self.verticalLayout_3.addWidget(self.addStation_button)
        self.removeStation_button = QtWidgets.QToolButton(self.groupBox_3)
        self.removeStation_button.setObjectName("removeStation_button")
        self.verticalLayout_3.addWidget(self.removeStation_button)
        spacerItem1 = QtWidgets.QSpacerItem(20, 40, QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Expanding)
        self.verticalLayout_3.addItem(spacerItem1)
        self.horizontalLayout_2.addLayout(self.verticalLayout_3)
        self.verticalLayout_5.addLayout(self.horizontalLayout_2)
        self.verticalLayout_2.addWidget(self.groupBox_3)
        self.scrollArea.setWidget(self.scrollAreaWidgetContents)
        self.verticalLayout_6.addWidget(self.scrollArea)

        self.retranslateUi(weatherPane)
        QtCore.QMetaObject.connectSlotsByName(weatherPane)

    def retranslateUi(self, weatherPane):
        _translate = QtCore.QCoreApplication.translate
        self.selectedStationWeather_groupBox.setTitle(_translate("weatherPane", "##"))
        self.checkNow_button.setText(_translate("weatherPane", "Check\n"
"now"))
        self.groupBox.setTitle(_translate("weatherPane", "Local/airport analysis"))
        self.label_5.setText(_translate("weatherPane", "Trans. level:"))
        self.transitionLevel_info.setText(_translate("weatherPane", "N/A"))
        self.label_6.setText(_translate("weatherPane", "QFE:"))
        self.QFE_info.setText(_translate("weatherPane", "N/A"))
        self.label_4.setText(_translate("weatherPane", "RWY pref.:"))
        self.rwyPref_info.setText(_translate("weatherPane", "N/A"))
        self.groupBox_3.setTitle(_translate("weatherPane", "Additional stations"))
        self.addStation_button.setToolTip(_translate("weatherPane", "Add a weather tab"))
        self.addStation_button.setText(_translate("weatherPane", "+"))
        self.removeStation_button.setToolTip(_translate("weatherPane", "Remove visible tab"))
        self.removeStation_button.setText(_translate("weatherPane", "X"))

from GUI.widgets.miscWidgets import WeatherDispWidget
